package com.jwipc.sys.controller.pc;

import com.jwipc.sys.dto.MsgTemplateDTO;
import com.jwipc.sys.logic.MsgTemplateLogic;
import lombok.RequiredArgsConstructor;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import static com.jwipc.sys.constant.ModuleConst.MODULE_ROOT;

/**
 * @author dengjsh
 * @date 2024/1/31 15:14
 * @desc 公告
 */
@Controller
@RequestMapping(MODULE_ROOT + "/msgTemplate")
@RequiredArgsConstructor
public class MsgTemplatePageController {

    private final MsgTemplateLogic msgTemplateLogic;
    @GetMapping("/index")
    public String index() {
        return MODULE_ROOT + "/msgTemplate/list";
    }

    @GetMapping("/detail")
    public String detail(Model model, Long id) {
        MsgTemplateDTO msgTemplateDTO;
        if (id != null) {
            msgTemplateDTO = msgTemplateLogic.getById(id);
        } else {
            msgTemplateDTO = new MsgTemplateDTO();
        }
        model.addAttribute("msgTemplate", msgTemplateDTO);
        return MODULE_ROOT + "/msgTemplate/detail";
    }

    /**
     * 查看邮件模板详情
     *
     * @param model model
     * @param id 邮件模板ID
     * @return 结果
     */
    @RequestMapping("/look")
    public String lookNoticeDetail(Model model, Long id) {
        MsgTemplateDTO msgTemplateDTO = msgTemplateLogic.getById(id);
        if (StringUtils.isEmpty(msgTemplateDTO.getMsgContent())) {
            model.addAttribute("msgContent", "");
        } else {
            model.addAttribute("msgContent", msgTemplateDTO.getMsgContent());
        }
        return MODULE_ROOT + "/msgTemplate/detail";
    }

}
